/**
 * Theme Name: Sasha
 * Template:   twentytwentyfour
 */
 
 
html {
  scroll-behavior: smooth;
}

form * {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  line-height: unset;
}
input[type="text"],
input[type="email"],
input[type="date"],
select,
textarea {
  width: 100%;
  padding: 0.8rem 0.9rem;
  border: none;
  transition-property:
    color, background-color, border-color, text-decoration-color, fill, stroke;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 0.15s;
  padding: 0.75rem;
  background-color: transparent;
  font: inherit;
}

textarea {
  resize: vertical;
  min-height: 60px;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="date"]:focus,
select:focus,
textarea:focus {
  border-bottom-color: #45a049;
  outline: 2px solid transparent;
  outline-offset: 2px;
  width: 100%;
}

input[type="submit"] {
  color: black;
  padding: 14px;
  margin: 8px 0;

  animation-duration: 0.5s;
  transition-duration: 0.5s;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  letter-spacing: 0.3em;
  text-transform: uppercase;
  font-size: 0.75rem;
  line-height: 1rem;
  border-color: var(--wp--preset--color--accent);
  border-width: 1px;
  background-color: transparent;
  font: inherit;
}

input[type="submit"]:hover {
  background-color: var(--wp--preset--color--accent);
  color: white;
}

label {
  text-transform: uppercase;
  letter-spacing: 0.2em;
  font-size: 0.75rem;
  line-height: 1rem;
  display: block;
  color: grey;
}

.form-row {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  margin-bottom: 1.25rem;
}

.form-row .form-element {
  flex: 1 1 100%;
  display: flex;
  flex-direction: column;
  border-bottom: 1px solid #ccc;
}

.form-row-2 .form-element {
  flex: 1 1 250px;
}
.form-row-3 .form-element {
  flex: 1 1 180px;
}

@media only screen and (min-width: 48em) {
  .form-row {
    flex-direction: row;
  }
}

.controls p {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
}


.controls p  > :first-child {
  grid-column: 2;
}

.controls p  > :last-child {
  grid-column: 3;
  justify-self: end;
}

.facts-table td:first-child {
    white-space: nowrap;
    width: 1%;
    vertical-align: top;
    padding-left: 0;
}

.facts-table td:last-child {
    width: auto;
    padding-right: 0;
}

.come-closer-button {
  transition: 0.5s;
}
.come-closer-button:hover {
    background-color: rgba(100,100,100,0.3);
}

.talk-to-me-button a{
  transition: 0.5s;
}

.talk-to-me-button:hover a{
  background-color: var(--wp--preset--color--accent) !important;
  color: white !important;
}

.no-lr-padding .wp-block-media-text__content {
    padding-left: 0;
    padding-right: 0;
}